import { ICodeEditor } from "@codingame/monaco-vscode-api/vscode/vs/editor/browser/editorBrowser";
import { Position } from "@codingame/monaco-vscode-api/vscode/vs/editor/common/core/position";
import { ITextModel } from "@codingame/monaco-vscode-api/vscode/vs/editor/common/model";
import { ServicesAccessor } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation";
import { SnippetEditorAction } from "@codingame/monaco-vscode-4e719823-8b6e-554d-b01a-5670b53fbb19-common/vscode/vs/workbench/contrib/snippets/browser/commands/abstractSnippetsActions";
import { Snippet } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/snippets/browser/snippetsFile";
import { ISnippetsService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/snippets/browser/snippets.service";
export declare function getSurroundableSnippets(snippetsService: ISnippetsService, model: ITextModel, position: Position, includeDisabledSnippets: boolean): Promise<Snippet[]>;
export declare class SurroundWithSnippetEditorAction extends SnippetEditorAction {
    static readonly options: {
        id: string;
        title: import("@codingame/monaco-vscode-api/vscode/vs/nls").ILocalizedString;
    };
    constructor();
    runEditorCommand(accessor: ServicesAccessor, editor: ICodeEditor): Promise<void>;
}
